{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
osCommerce Product Manager for Windows (oscpmwin).
Copyright 2003,2004,2005 by Mario A. Valdez-Ramirez.

You can contact Mario A. Valdez-Ramirez
by email at mario@mariovaldez.org or paper mail at
Olmos 809, San Nicolas, NL. 66495, Mexico.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
unit askuser;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  Topm_Form_AskUser = class(TForm)
    opm_Label_AskUserTitle: TLabel;
    opm_Edit_AskUserData: TEdit;
    opm_BitBtn_AskUserOk: TBitBtn;
    opm_BitBtn_AskUserCancel: TBitBtn;
    opm_ComboBox_AskUserList: TComboBox;
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
  end;

var
  opm_Form_AskUser: Topm_Form_AskUser;

implementation

uses gnugettext, main, oscpmdata, balloons;

{$R *.dfm}




{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskUser.FormShow(Sender: TObject);
begin
  opm_Edit_AskUserData.Visible := opm_Edit_AskUserData.Enabled;
  opm_ComboBox_AskUserList.Enabled := NOT (opm_Edit_AskUserData.Enabled);
  opm_ComboBox_AskUserList.Visible := opm_ComboBox_AskUserList.Enabled;
end;

{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskUser.FormCreate(Sender: TObject);
begin
  TranslateComponent (self);
  PRballoon_SetFormBalloons (self, opmG_UIToolTips);
end;

end.
